#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);cin.tie(0);
    int n;
    cin >> n;
    string vrednosti[n];
    long long uc, kb, gr;
    for(int i = 0; i < n; i++)
    {
        cin >> uc >> kb >> gr;
        long long brgr2 = uc%gr, brgr1 = gr - brgr2;
    }
}